# ============================================================================
#  Name	 : build_help.mk
#  Part of  : DialogExam
# ============================================================================
#  Name	 : build_help.mk
#  Part of  : DialogExam
#
#  Description: This make file will build the application help file (.hlp)
# 
# ============================================================================

do_nothing :
	@rem do_nothing

# build the help from the MAKMAKE step so the header file generated
# will be found by cpp.exe when calculating the dependency information
# in the mmp makefiles.

MAKMAKE : DialogExam_0xE71D3F2E.hlp
DialogExam_0xE71D3F2E.hlp : DialogExam.xml DialogExam.cshlp Custom.xml
	cshlpcmp DialogExam.cshlp
ifeq (WINS,$(findstring WINS, $(PLATFORM)))
	copy DialogExam_0xE71D3F2E.hlp $(EPOCROOT)epoc32\$(PLATFORM)\c\resource\help
endif

BLD : do_nothing

CLEAN :
	del DialogExam_0xE71D3F2E.hlp
	del DialogExam_0xE71D3F2E.hlp.hrh

LIB : do_nothing

CLEANLIB : do_nothing

RESOURCE : do_nothing
		
FREEZE : do_nothing

SAVESPACE : do_nothing

RELEASABLES :
	@echo DialogExam_0xE71D3F2E.hlp

FINAL : do_nothing
